%define oname pyinotify

Summary:	Python module for monitoring filesystems changes
Name:		python-%{oname}
Version:	0.9.5
Release:	2
License:	MIT
Group:		Development/Python
Url:		http://github.com/seb-m/pyinotify
Source0:	http://seb.dbzteam.org/pub/pyinotify/releases/pyinotify-%{version}.tar.gz
BuildArch:	noarch
Provides:	%{oname} = %{version}-%{release}
BuildRequires:	epydoc
BuildRequires:	python-devel
BuildRequires:	python3-devel
# pyinotify can use psyco to speed things up, unfortunaltely,
# psyco does not work under x86_64
#Suggests:	python-psyco

%description
Pyinotify is a pure Python module for monitoring filesystems changes.
Pyinotify relies on inotify, a Linux Kernel functionality (since 
kernel 2.6.13). inotify is an event-driven notification mechanism, its 
notifications are exported to user space through three system calls. 
Pyinotify binds these system calls and provides an implementation on 
top of them.

%package -n python3-pyinotify
Summary:	Python module for monitoring filesystems changes
Group:		Development/Python
# Previous py3 subpackages were named in a wrong way
Obsoletes:	python3-pyinotify-0.9.4
Obsoletes:	python3-pyinotify-0.9.5

%description -n python3-pyinotify
Pyinotify is a pure Python module for monitoring filesystems changes.
Pyinotify relies on inotify, a Linux Kernel functionality (since 
kernel 2.6.13). inotify is an event-driven notification mechanism, its 
notifications are exported to user space through three system calls. 
Pyinotify binds these system calls and provides an implementation on 
top of them.

%prep
%setup -q -n %{oname}-%{version}
rm -rf %{py3dir}
cp -a . %{_builddir}/python3-pyinotify

%build
python setup.py build
pushd %{_builddir}/python3-pyinotify
    CFLAGS="%{optflags}" python3 setup.py build
popd

%install
pushd %{_builddir}/python3-pyinotify
    python3 setup.py install --skip-build --root %{buildroot}
popd
python setup.py install --root=%{buildroot}

%files
%doc README* ACKS COPYING
%{py_puresitedir}/*

%files -n python3-pyinotify
%doc README* ACKS COPYING
%{py3_puresitedir}/*

%changelog

* Wed Dec 23 2015 Denis Silakov <dsilakov@gmail.com> 0.9.5-2
- (1e0217f) Correctly rename python3 subpackage


